/*
 * Javascript function collection
 * ------------------------------
 * Version  :   0.3
 * Author   :   T.Hinze (HiDeVis)
 * Date     :   22.05.2006    
 *
 """ This Javascript contains all needed JS-functions.
 """  
 */   

function antiLinkBorder(e) {
    /* try to remove the border around active links (i.e. in mozilla-browsers)
    */
    allLinksInPage = window.document.getElementsByTagName("a");
    for (var idx in allLinksInPage) {
        allLinksInPage[idx].onfocus = allLinksInPage[idx].blur;
    }
}
//---------------------------

function changeImageSource(elemID, newURL) {
    /* try to reference the element with the id 'elemID'.
       If this element is an image object, then change the attribute
       'src' to the given newURL.
    */
    var ref = window.document.getElementById(elemID);
    if (ref && ref.tagName == "IMG") {
        ref.src = newURL;
    }
}
//---------------------------

function autoChangeSideImage() {
    /* This function will be called in a defined interval. At every call
       the 'src' attribute of the specified HTML-element (by id) will be
       changed with a value from the array 'allImages'.
       This array was created by the Python-script 'createAutoImagesJSCode_py.
    */
    targetID    = "ATMediaPageAutoImage";
    newURL      = "";
    if (allImages.length) {
        // only change if array is exists
        do {
            rndIdx  = Math.floor(allImages.length * Math.random());
            newURL  = allImages[rndIdx].src;
        } while (newURL == lastShownURL);
        changeImageSource(targetID, newURL);
    }
}
//---------------------------

function initAutoChange() {
    /* initialize the interval for automatic image change
       The variable 'autoChangeDelay ' have to setup in other scriptparts before.
    */
    lastShownURL = null;
    window.setInterval("autoChangeSideImage()", autoChangeDelay);
}
//---------------------------

